Skip to main content
GET
/
orders
List all orders
curl --request GET \
  --url https://app.gomangrove.com/api/v1/orders \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.gomangrove.com/api/v1/orders"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.gomangrove.com/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 1529,
      "order_status": "COMPLETE",
      "customer": "AcmeCo",
      "reference": "A1234567890",
      "deal_date": "2025-01-28",
      "expiry_date": null,
      "currency": "USD",
      "order_terms": "Pay on delivery",
      "delivery_method": "RETIREMENT",
      "deliveries": [
        {
          "friendly_id": "dl_H8pvrPHBQ3Dd76oL",
          "project_name": "Southeast Capture",
          "quantity": 20,
          "price_in_cents_in_currency": 12000,
          "delivery_total_in_cents_in_currency": 12000,
          "currency": "USD",
          "estimated_delivery_date": "2025-02-28",
          "delivered_date": "2025-02-21",
          "delivery_status": "DELIVERED",
          "fulfilled_quantity": 20,
          "delivered_quantity": 20,
          "is_paid": true
        }
      ],
      "created_at": "2024-05-10T15:58:21.209Z",
      "updated_at": "2024-05-10T15:58:21.209Z"
    },
    {
      "id": 1530,
      "order_status": "COMPLETE",
      "customer": "AcmeCo",
      "reference": "A1234567890",
      "deal_date": "2025-01-28",
      "expiry_date": null,
      "currency": "USD",
      "order_terms": "Pay on delivery",
      "delivery_method": "RETIREMENT",
      "deliveries": [
        {
          "friendly_id": "dl_F8pvrPHBQ3Dd7695",
          "project_name": "Southeast Capture",
          "quantity": 20,
          "price_in_cents_in_currency": 12000,
          "delivery_total_in_cents_in_currency": 12000,
          "currency": "USD",
          "estimated_delivery_date": "2025-02-28",
          "delivered_date": "2025-02-21",
          "delivery_status": "DELIVERED",
          "fulfilled_quantity": 20,
          "delivered_quantity": 20,
          "is_paid": true
        }
      ],
      "created_at": "2024-05-10T15:58:21.209Z",
      "updated_at": "2024-05-10T15:58:21.209Z"
    }
  ],
  "info": {
    "items": 2,
    "count": 2,
    "page": 1,
    "from": 1,
    "to": 10,
    "next": 1,
    "prev": null,
    "pages": 1
  }
}
"{}"

Authorizations

Authorization
string
header
required

Query Parameters

page
integer<int32>
default:1
required
response_mode
enum<string>

Controls response format. default returns paginated data. summary returns count and 10 samples. summary_with_export returns summary and triggers an async export.

Available options:
default,
summary,
summary_with_export
export_format
enum<string>
default:csv

File format for async export (only with response_mode=summary_with_export). Default: csv.

Available options:
csv,
json

Response

200

data
object[]
info
object